Bug 244100 - Multihead is not working with ATI card and VESA driver
Summary: Multihead is not working with ATI card and VESA driver
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-13 19:35 UTC by Dmitriy Kropivnitskiy
Modified: 2018-04-11 06:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-15 15:14:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf file (1.08 KB, application/octet-stream)
2007-06-13 19:35 UTC, Dmitriy Kropivnitskiy
no flags Details

Description Dmitriy Kropivnitskiy 2007-06-13 19:35:06 UTC
Description of problem:
I was not able to make my dual monitor setup work with my ATI X1300 video card.
I have tried to use the GUI display configuration tool and manually create
xorg.conf file, but whatever I do, all I get is just a copy of the same screen
on both monitors.

Version-Release number of selected component (if applicable): 1.3.0.0-8.fc7

Comment 1 Dmitriy Kropivnitskiy 2007-06-13 19:35:06 UTC
Created attachment 156907 [details]
xorg.conf file

Comment 2 Matěj Cepl 2007-06-15 14:06:04 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server log file (/var/log/Xorg.*.log) to the bug report as
individual uncompressed file attachment using the bugzilla file attachment link
below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.


Comment 3 Adam Jackson 2007-06-15 15:14:12 UTC
Nor are you ever going to.  The vesa driver can not do dualhead, period.  This
is a fundamental limitation of how the vesa BIOS interface works.

Comment 4 Dmitriy Kropivnitskiy 2007-06-15 15:23:48 UTC
OK, in that case you might want to note somewhere that your brand new
distribution doesn't work with half the video cards on the market. Namely any
ATI card made in the past few years.

Comment 5 Matěj Cepl 2007-06-15 15:35:19 UTC
Write that email to the manufacturer of that card -- they forgot to tell us (and
anybody else) how to manipulate with your card.

Comment 6 Dmitriy Kropivnitskiy 2007-06-15 15:41:55 UTC
I am not going to go into a long discussion on this, but somehow every other
distribution around, including previous version of Fedora works on my system. I
know that it happens to use proprietary drivers, but the point being all you had
a choice to either include older (and supported) version of Xorg or to alienate
every ATI hardware user out there. Your choice I suppose. I am all for open
source systems and I understand the need to break free from proprietary
software. I would use a working alternative if there was one. Unfortunately
Fedora creators broke compatibility with proprietary without providing ANY sort
of open alternative. Bye-bye.


Note You need to log in before you can comment on or make changes to this bug.